Bug 989567 - [abrt] cinnamon-1.9.1-12.fc19: pango_layout_finalize: Process /usr/bin/cinnamon was killed by signal 6 (SIGABRT)
[abrt] cinnamon-1.9.1-12.fc19: pango_layout_finalize: Process /usr/bin/cinnam...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:536d9aa14eecd3f8c1fe8f69dd0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:43 EDT by yasarsoy
Modified: 2015-02-17 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:24:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (85.85 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: core_backtrace (4.06 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: dso_list (18.71 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: environ (1.62 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: maps (86.39 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: open_fds (4.43 KB, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-07-29 10:43 EDT, yasarsoy
no flags Details
File: var_log_messages (1.37 KB, text/plain)
2013-07-29 10:44 EDT, yasarsoy
no flags Details

  None (edit)
Description yasarsoy 2013-07-29 10:43:04 EDT
Version-Release number of selected component:
cinnamon-1.9.1-12.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: pango_layout_finalize
executable:     /usr/bin/cinnamon
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 pango_layout_finalize at pango-layout.c:243
 #8 rsvg_text_render_text at rsvg-text.c:596
 #9 _rsvg_node_text_type_children at rsvg-text.c:181
 #10 _rsvg_node_text_type_tspan at rsvg-text.c:354
 #11 _rsvg_node_text_type_children at rsvg-text.c:191
 #12 _rsvg_node_text_draw at rsvg-text.c:297
 #13 rsvg_node_draw at rsvg-structure.c:69
 #14 _rsvg_node_draw_children at rsvg-structure.c:87
 #15 rsvg_node_draw at rsvg-structure.c:69
 #16 rsvg_node_svg_draw at rsvg-structure.c:323
Comment 1 yasarsoy 2013-07-29 10:43:11 EDT
Created attachment 779947 [details]
File: backtrace
Comment 2 yasarsoy 2013-07-29 10:43:21 EDT
Created attachment 779948 [details]
File: cgroup
Comment 3 yasarsoy 2013-07-29 10:43:29 EDT
Created attachment 779949 [details]
File: core_backtrace
Comment 4 yasarsoy 2013-07-29 10:43:33 EDT
Created attachment 779950 [details]
File: dso_list
Comment 5 yasarsoy 2013-07-29 10:43:37 EDT
Created attachment 779951 [details]
File: environ
Comment 6 yasarsoy 2013-07-29 10:43:44 EDT
Created attachment 779952 [details]
File: limits
Comment 7 yasarsoy 2013-07-29 10:43:48 EDT
Created attachment 779953 [details]
File: maps
Comment 8 yasarsoy 2013-07-29 10:43:55 EDT
Created attachment 779954 [details]
File: open_fds
Comment 9 yasarsoy 2013-07-29 10:43:58 EDT
Created attachment 779955 [details]
File: proc_pid_status
Comment 10 yasarsoy 2013-07-29 10:44:04 EDT
Created attachment 779956 [details]
File: var_log_messages
Comment 11 Steve Tyler 2013-08-04 14:10:48 EDT
rsvg_text_render_text() appears to be calling g_object_unref() with an invalid layout in line 596. Note that in line 579, rsvg_text_render_text() creates the layout that is being unref'ed in line 596.

Components are librsvg2 and pango -- take your pick ... :-)

backtrace:
...
Thread 1 (Thread 0x7fe3c8ffd700 (LWP 1800)):
...
#4  _int_free (av=0x7fe3a0000020, p=<optimized out>, have_lock=0) at malloc.c:3768
...
        errstr = 0x3d9997dcb0 "free(): invalid next size (fast)"
...
#5  0x0000003d9c04d9af in g_free (mem=0x7fe3a0075650) at gmem.c:252
No locals.
#6  0x0000003db861de8e in pango_layout_finalize (object=0x34072d0) at pango-layout.c:243
        layout = 0x34072d0
#7  0x0000003d9e01441b in g_object_unref (_object=0x34072d0) at gobject.c:3024
...
#8  0x0000003bf6622861 in rsvg_text_render_text (y=0x7fe3c8fec690, x=0x7fe3c8fec688, text=<optimized out>, ctx=0x7fe3a001b1c0) at rsvg-text.c:596
...
        layout = 0x34072d0
...


rsvg-text.c source from librsvg2-debuginfo-2.37.0-3.fc19.x86_64.rpm:
$ less -N ./usr/src/debug/librsvg-2.37.0/rsvg-text.c
...
    563 void
    564 rsvg_text_render_text (RsvgDrawingCtx * ctx, const char *text, gdouble * x, gdouble * y)
    565 {
    566     PangoContext *context;
    567     PangoLayout *layout;
    568     PangoLayoutIter *iter;
    569     RsvgState *state;
    570     gint w, h, offsetX, offsetY;
    571 
    572     state = rsvg_current_state (ctx);
    573 
    574     /* Do not render the text if the font size is zero. See bug #581491. */
    575     if (state->font_size.length == 0)
    576         return;
    577 
    578     context = ctx->render->create_pango_context (ctx);
    579     layout = rsvg_text_create_layout (ctx, state, text, context);
    580     pango_layout_get_size (layout, &w, &h);
    581     iter = pango_layout_get_iter (layout);
    582     if (PANGO_GRAVITY_IS_VERTICAL (state->text_gravity)) {
    583         offsetX = -pango_layout_iter_get_baseline (iter) / (double)PANGO_SCALE;
    584         offsetY = 0;
    585     } else {
    586         offsetX = 0;
    587         offsetY = pango_layout_iter_get_baseline (iter) / (double)PANGO_SCALE;
    588     }
    589     pango_layout_iter_free (iter);
    590     ctx->render->render_pango_layout (ctx, layout, *x - offsetX, *y - offsetY);
    591     if (PANGO_GRAVITY_IS_VERTICAL (state->text_gravity))
    592         *y += w / (double)PANGO_SCALE;
    593     else
    594         *x += w / (double)PANGO_SCALE;
    595 
    596     g_object_unref (layout);
    597     g_object_unref (context);
    598 }
...
Comment 12 Fedora End Of Life 2015-01-09 14:08:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:24:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.